package com.emato.ich.fragment;

import android.os.Bundle;
import android.os.CountDownTimer;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.navigation.fragment.NavHostFragment;

import com.emato.ich.MainActivity;
import com.emato.ich.R;
import com.emato.ich.databinding.FragmentSendSuccessBinding;
import com.emato.ich.local.LocalStorage;
import com.emato.ich.utils.TimeOutUtils;

import org.jetbrains.annotations.NotNull;

public class SendSuccessFragment extends Fragment {

    private static final String TAG = SendSuccessFragment.class.getName();
    private FragmentSendSuccessBinding binding;
    private CountDownTimer timer;

    @Nullable
    @org.jetbrains.annotations.Nullable
    @Override
    public View onCreateView(@NonNull @NotNull LayoutInflater inflater, @Nullable @org.jetbrains.annotations.Nullable ViewGroup container, @Nullable @org.jetbrains.annotations.Nullable Bundle savedInstanceState) {

        binding = FragmentSendSuccessBinding.inflate(inflater, container, false);

        return binding.getRoot();
    }


    public void onViewCreated(@NonNull @NotNull View view, @Nullable @org.jetbrains.annotations.Nullable Bundle savedInstanceState) {

        try {
            MainActivity activity = ((MainActivity) getActivity());
            timer = TimeOutUtils.timeout(activity, SendSuccessFragment.this, binding.timeout, 60);
            timer.start();
        } catch (Exception e) {
            Log.e(TAG, "onViewCreated: 倒计时出现异常! ", e);
        }

        // 继续投递
        binding.continueSendBtn.setOnClickListener(view1 -> {
            timer.cancel();
            NavHostFragment.findNavController(SendSuccessFragment.this)
                    .navigate(R.id.action_sendSuccessFragment_to_chooseCabinetFragment);
        });

        // 退出账号
        binding.exitAccountBtn.setOnClickListener(view1 -> {
            // 清空Session
            LocalStorage.getInstance().cleanSession();
            ((MainActivity) getActivity()).getBundleMap().clear();
            timer.cancel();
            NavHostFragment.findNavController(SendSuccessFragment.this)
                    .navigate(R.id.action_sendSuccessFragment_to_mainFragment);
        });


    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        binding = null;
        timer.cancel();
    }
}
